Home
last modified time | relevance | path

Searched full:exit (Results 1 – 25 of 775) sorted by relevance

12345678910>>...31

/Zephyr-latest/tests/bsim/bluetooth/ll/advx/src/
Dmain.c184 goto exit; in test_advx_main()
211 goto exit; in test_advx_main()
219 goto exit; in test_advx_main()
229 goto exit; in test_advx_main()
239 goto exit; in test_advx_main()
246 goto exit; in test_advx_main()
255 goto exit; in test_advx_main()
265 goto exit; in test_advx_main()
273 goto exit; in test_advx_main()
283 goto exit; in test_advx_main()
[all …]
/Zephyr-latest/scripts/native_simulator/common/src/include/
Dnsi_main.h19 * return to the caller what would have been passed to exit()
21 * @param[in] exit_code: Requested exit code to the shell
23 * exit code which may have precedence if it was !=0
25 * @returns Code which would have been passed to exit()
32 * @param[in] exit_code: Requested exit code to the shell
34 * exit code which may have precedence if it was !=0
/Zephyr-latest/tests/bsim/bluetooth/ll/multiple_id/src/
Dmain.c51 goto exit; in test_central_main()
64 exit: in test_central_main()
75 goto exit; in test_peripheral_main()
82 exit: in test_peripheral_main()
93 goto exit; in test_central_multiple_main()
106 exit: in test_central_multiple_main()
117 goto exit; in test_peripheral_single_main()
124 exit: in test_peripheral_single_main()
135 goto exit; in test_central_single_main()
142 exit: in test_central_single_main()
[all …]
/Zephyr-latest/drivers/sensor/vishay/vcnl4040/
Dvcnl4040_trigger.c133 goto exit; in vcnl4040_attr_set()
137 goto exit; in vcnl4040_attr_set()
143 goto exit; in vcnl4040_attr_set()
147 goto exit; in vcnl4040_attr_set()
156 goto exit; in vcnl4040_attr_set()
160 goto exit; in vcnl4040_attr_set()
166 goto exit; in vcnl4040_attr_set()
170 goto exit; in vcnl4040_attr_set()
175 exit: in vcnl4040_attr_set()
201 goto exit; in vcnl4040_trigger_set()
[all …]
/Zephyr-latest/samples/boards/enjoydigital/litex/i2s/src/
Dmain.c40 exit(-1); in init()
58 exit(-1); in init()
65 exit(-1); in init()
82 exit(-1); in init()
94 exit(-1); in main()
101 exit(-1); in main()
/Zephyr-latest/tests/bsim/bluetooth/ll/
D_compile_permutate_kconfigs.sh83 # We set exit code based on type of failure
86 trap "{ rm "${temp_conf_file}" ; exit 255; }" SIGINT
87 trap "{ rm "${temp_conf_file}" ; exit 254; }" SIGTERM
88 trap "{ rm "${temp_conf_file}" ; exit 253; }" ERR
89 trap "{ rm "${temp_conf_file}" ; exit ${compile_failures}; }" EXIT
/Zephyr-latest/subsys/net/lib/tls_credentials/
Dtls_credentials.c135 goto exit; in tls_credential_add()
141 goto exit; in tls_credential_add()
149 exit: in tls_credential_add()
167 goto exit; in tls_credential_get()
178 goto exit; in tls_credential_get()
184 exit: in tls_credential_get()
201 goto exit; in tls_credential_delete()
207 exit: in tls_credential_delete()
/Zephyr-latest/drivers/wifi/simplelink/
Dsimplelink_sockets.c260 goto exit; in simplelink_socket()
268 goto exit; in simplelink_socket()
276 goto exit; in simplelink_socket()
292 goto exit; in simplelink_socket()
303 exit: in simplelink_socket()
428 goto exit; in simplelink_accept()
436 goto exit; in simplelink_accept()
441 goto exit; in simplelink_accept()
447 exit: in simplelink_accept()
476 goto exit; in simplelink_bind()
[all …]
/Zephyr-latest/samples/subsys/pm/latency/boards/
Dnative_sim.overlay12 exit-latency-us = <10000>;
18 exit-latency-us = <20000>;
24 exit-latency-us = <30000>;
/Zephyr-latest/include/zephyr/tracing/
Dtracing.h329 * @brief Trace submit work to work queue call exit
343 * @brief Trace submit work to system work queue call exit
363 * @brief Trace flush work call exit
376 * @brief Trace cancel work call exit
397 * @brief Trace cancel sync work call exit
425 * @brief Trace start of a Work Queue call exit
445 * @brief Trace stop of a Work Queue call exit
459 * @brief Trace Work Queue drain call exit
472 * @brief Trace Work Queue unplug call exit
501 * @brief Trace schedule delayable work for queue exit
[all …]
/Zephyr-latest/lib/smf/
Dsmf.c185 * @brief Executes all exit actions from ctx->current to the direct child of topmost
188 * @param topmost State we are exiting to. Its exit action is not executed
198 if (to_execute->exit) { in smf_execute_all_exit_actions()
199 to_execute->exit(ctx); in smf_execute_all_exit_actions()
201 /* No need to continue if terminate was set in the exit action */ in smf_execute_all_exit_actions()
271 * It does not make sense to call smf_set_state in an exit phase of a state in smf_set_state()
276 LOG_ERR("Calling %s from exit action", __func__); in smf_set_state()
297 /* call all exit actions up to (but not including) the topmost */ in smf_set_state()
299 /* No need to continue if terminate was set in the exit action */ in smf_set_state()
303 /* if self-transition, call the exit action */ in smf_set_state()
[all …]
/Zephyr-latest/tests/net/all/
Dcheck_net_options.sh16 exit
23 exit
30 exit
/Zephyr-latest/tests/subsys/pm/policy_api/
Dapp.overlay20 exit-latency-us = <10000>;
28 exit-latency-us = <100000>;
36 exit-latency-us = <50000>;
/Zephyr-latest/tests/subsys/pm/power_states_api/boards/
Dnative_sim.overlay18 exit-latency-us = <100>;
25 exit-latency-us = <200>;
32 exit-latency-us = <500>;
/Zephyr-latest/scripts/tracing/
Dtrace_capture_usb.py45 sys.exit("{}".format(e))
48 sys.exit("No device found, check vendor_id and product_id")
54 sys.exit("{}".format(e))
61 sys.exit("{}".format(e))
103 sys.exit(0)
/Zephyr-latest/include/zephyr/
Dsmf.h31 * @param _exit State exit function or NULL
39 .exit = _exit, \
75 const state_execution exit; member
78 * Optional parent state that contains common entry/run/exit
82 * exit: Parent function executes AFTER child function.
85 * parent, that parent's exit and entry functions do not execute.
133 * state and entering the target state. For HSMs the entry and exit
/Zephyr-latest/arch/riscv/core/
Duserspace.S36 beqz a4, exit # Test string's end of line
40 exit: label
51 j exit
/Zephyr-latest/.github/workflows/
Dcompliance.yml71 exit 1
98 exit 1;
116 exit=1
121 if [ "${exit}" == "1" ]; then
124 exit 1;
129 exit 1;
/Zephyr-latest/drivers/sensor/st/vl53l0x/
Dvl53l0x.c71 goto exit; in vl53l0x_setup_single_shot()
80 goto exit; in vl53l0x_setup_single_shot()
89 goto exit; in vl53l0x_setup_single_shot()
97 goto exit; in vl53l0x_setup_single_shot()
106 goto exit; in vl53l0x_setup_single_shot()
115 goto exit; in vl53l0x_setup_single_shot()
125 goto exit; in vl53l0x_setup_single_shot()
134 goto exit; in vl53l0x_setup_single_shot()
142 goto exit; in vl53l0x_setup_single_shot()
151 goto exit; in vl53l0x_setup_single_shot()
[all …]
/Zephyr-latest/scripts/
Dcoccicheck11 exit 1
26 -h , --help display help and exit
69 exit 1
76 exit 2
137 exit $err
152 exit 1
213 $FLAGS --cocci-file $COCCI $OPT $OPTIONS --no-show-diff || exit 1
218 $FLAGS --cocci-file $COCCI $OPT $OPTIONS || exit 1
220 run_cmd_parmap $SPATCH -D $MODE $FLAGS --cocci-file $COCCI $OPT $OPTIONS || exit 1
229 exit
/Zephyr-latest/scripts/logging/dictionary/
Dparserlib.py32 sys.exit(1)
36 sys.exit(1)
50 sys.exit(1)
/Zephyr-latest/samples/drivers/virtualization/ivshmem/doorbell/
Dwrite_shared_memory.sh18 exit 1
32 printf %s "$WM_MSG" | dd of="$WM_LOC" count=1 bs="$WM_SIZE" "$WM_DD" || exit 1
35 printf %s "$WM_MSG" | dd of="$WM_LOC" ibs="$WM_SIZE" conv=sync "$WM_DD" || exit 1
/Zephyr-latest/samples/boards/st/power_mgmt/suspend_to_ram/boards/
Dnucleo_wba55cg.overlay17 exit-latency-us = <50>;
21 exit-latency-us = <100>;
25 exit-latency-us = <1000>;
/Zephyr-latest/scripts/checkpatch/
Dmaintainer-checkpatch.bash45 exit -1
50 exit -1
62 exit -1
74 h) usage; exit 0 ;;
/Zephyr-latest/tests/lib/smf/src/
Dtest_lib_flat_smf.c71 EXIT enumerator
116 "Test State A exit failed"); in state_a_exit()
156 "Test State B exit failed"); in state_b_exit()
188 "Test State C exit failed"); in state_c_exit()
190 if (o->terminate == EXIT) { in state_c_exit()
275 /* D) Test termination in exit action */ in ZTEST()
278 test_obj.terminate = EXIT; in ZTEST()
288 "Incorrect test value index for exit termination"); in ZTEST()
290 "Final exit termination state not reached"); in ZTEST()

12345678910>>...31